Subject: bug#42256: 27.0.50; composition

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Jul 2020 02:57:03 +0300

>> But I wonder why display combining character names only on TTY frames?
>
> Because font glyphs have no names, at least not names that Emacs knows
> about and that could be of use to users.

Font glyphs have no names indeed, but the characters that they display
have names.

>>   Composed with the following character(s) "́" using this font:
>>     x:-misc-fixed-medium-r-normal--15-108-100-100-c-60-iso10646-1
>>   by these glyphs:
>>     [0 1 97 97 6 0 6 12 3 nil]
>>     [0 1 769 769 6 0 6 12 3 [-6 0 0]]
>>
>> I don't know what these glyph numbers mean
>
> Which numbers?  If you mean the components of the glyph vectors, see
> the doc string of composition-get-gstring.  I don't think the details
> of this information is useful for casual users.

I agree that the details of the glyph vectors are not useful for users.
But the character names are hugely useful, even on GUI frames,
not only on TTY frames.

>> but still no combining character names are displayed on GUI frames.
>
> I don't think I understand what you mean by that.

The names of combining characters under point are now displayed on TTY frames,
but still not displayed on GUI frames.  This information about buffer characters
is needed without relation to fonts and glyphs.